opencv: CvERTrees Class Reference

Public Member Functions | Protected Member Functions

# CvERTrees Class Reference

`#include <ml.hpp>`

Inheritance diagram for CvERTrees:

List of all members.

## Public Member Functions
CV_WRAP | CvERTrees ()
virtual bool | train (CvMLData *data, CvRTParams params=CvRTParams())
virtual CV_WRAP bool | train (const cv::Mat &trainData, int tflag, const cv::Mat &responses, const cv::Mat &varIdx=cv::Mat(), const cv::Mat &sampleIdx=cv::Mat(), const cv::Mat &varType=cv::Mat(), const cv::Mat &missingDataMask=cv::Mat(), CvRTParams params=CvRTParams())
virtual bool | train (const CvMat *trainData, int tflag, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, const CvMat *varType=0, const CvMat *missingDataMask=0, CvRTParams params=CvRTParams())
virtual | ~CvERTrees ()
## Protected Member Functions
virtual bool | grow_forest (const CvTermCriteria term_crit)

## Constructor & Destructor Documentation

CV_WRAP CvERTrees::CvERTrees | ( | ) |

virtual CvERTrees::~CvERTrees | ( | ) | `[virtual]`

## Member Function Documentation

virtual bool CvERTrees::grow_forest | ( | const CvTermCriteria | term_crit ) | `[protected, virtual]`

Reimplemented from CvRTrees.

virtual CV_WRAP bool CvERTrees::train | ( | const cv::Mat & | trainData,
|  | int | tflag,
|  | const cv::Mat & | responses,
|  | const cv::Mat & | varIdx = `cv::Mat()`,
|  | const cv::Mat & | sampleIdx = `cv::Mat()`,
|  | const cv::Mat & | varType = `cv::Mat()`,
|  | const cv::Mat & | missingDataMask = `cv::Mat()`,
|  | CvRTParams | params = `CvRTParams()`
| ) |  | `[virtual]`

Reimplemented from CvRTrees.

virtual bool CvERTrees::train | ( | CvMLData * | data,
|  | CvRTParams | params = `CvRTParams()`
| ) |  | `[virtual]`

Reimplemented from CvRTrees.

virtual bool CvERTrees::train | ( | const CvMat * | trainData,
|  | int | tflag,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`,
|  | const CvMat * | varType = `0`,
|  | const CvMat * | missingDataMask = `0`,
|  | CvRTParams | params = `CvRTParams()`
| ) |  | `[virtual]`

Reimplemented from CvRTrees.

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines